Skip to main content
GET
/
v1
/
personas
/
{persona_id}
/
source-posts
List source posts
curl --request GET \
  --url https://reelmirror.com/api/v1/personas/{persona_id}/source-posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform": "instagram",
      "platform_post_id": "<string>",
      "post_type": "image",
      "caption": "<string>",
      "like_count": 123,
      "comment_count": 123,
      "posted_at": "2023-11-07T05:31:56Z",
      "media_items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "media_type": "image",
          "position": 123,
          "url": "<string>",
          "duration_seconds": 123
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Path Parameters

persona_id
string
required

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
offset
integer
default:0

Number of results to skip

Response

200 - application/json

List of source posts with media items

data
object[]
count
integer